ZLINT(1)

NAME
zlint - command line utility for X.509 certificate linting

SYNOPSIS
zlint [flags] file...

DESCRIPTION
ZLint checks for consistency with standards (e.g. RFC 5280 (https://www.ietf.org/rfc/rfc5280.txt)) and other relevant PKI requirements (e.g. CA/Browser Forum Baseline Requirements (https://cabforum.org/wp-content/uploads/CA-Browser-Forum-BR-1.4.8.pdf)).

OPTIONS

-excludeNames string

    Comma-separated list of lints to exclude by name

-excludeSources string

    Comma-separated list of lint sources to exclude

-format string

    One of {pem, der, base64} (default "pem")

-includeNames string

    Comma-separated list of lints to include by name

-includeSources string

    Comma-separated list of lint sources to include

-list-lints-json

    Print lints in JSON format, one per line

-list-lints-source

    Print list of lint sources, one per line

-longSummary

    Prints a human-readable summary report with details

-nameFilter string

    Only run lints with a name matching the provided regex. (Can not be used with -includeNames/-excludeNames)

-pretty

    Pretty-print JSON output

-summary

    Prints a short human-readable summary report

-version

    Print ZLint version and exit

REPORTING BUGS
Report bugs to https://github.com/zmap/zcertificate

AUTHOR
This manpage was written by Peymaneh Nejad for the Debian distribution and can be used for any other usage of the program.

SEE ALSO
zlint-gtld-update (1)